Package org.eclipse.cdt.core

# Class ConsoleOutputStream

java.lang.Object
java.io.OutputStream
org.eclipse.cdt.core.ConsoleOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class ConsoleOutputStream extends OutputStream
Output stream which storing the console output

Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StringBuffer`
`fBuffer`

## Constructor Summary

Constructors
Constructor
Description
`ConsoleOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`String`
`readBuffer()`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int c)`
`void`
`write(String msg)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fBuffer

protected StringBuffer fBuffer

## Constructor Details

### ConsoleOutputStream

public ConsoleOutputStream()

## Method Details

### readBuffer

public String readBuffer()

### write

public void write(int c) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(String msg) throws IOException

Throws:
  `IOException`
Since:
  6.0